Subject: Re: [bug#59513] [PATCH v2] doc: contributing: Tweak the Commit Policy.

From: Christopher Baines <[email-masked]>
Date: Wed, 11 Jan 2023 10:50:22 +0000

Christopher Baines <[email-masked]> writes:

> Add more examples of when it can be appropriate to push changes without
> review, as I think this can be appropriate in the case of trivial changes (as
> mentioned before), but also non-trivial fixes.
>
> No longer suggest pushing simple new packages or package upgrades (that don't
> cause lots of rebuilds) without sending to guix-patches. Now there's some
> automation for testing changes sent to guix-patches, sending changes there
> before pushing can mean that more rigerious testing takes place and help speed
> up substitutes becoming available. This is true, even if no human review takes
> place.
>
> Only suggest waiting one week for review for simpler changes, wait two weeks
> for more significant changes.
>
> Also, reorder some of the information in this section so it's grouped together
> better.
>
> * doc/contributing.texi (Commit Policy): Tweak.
> ---
>  doc/contributing.texi | 41 ++++++++++++++++++-----------------------
>  1 file changed, 18 insertions(+), 23 deletions(-)

I've now pushed this to master as
9aa2b7419854306b7ae78d4c4f7684316b834b1d, with some final tweaks.

Thanks everyone for taking a look.

Chris